import os.path
import json
import logging
import os.path

from configparser import ConfigParser
from spire.xls import *
from spire.xls.common import *


fileName = os.path.join('./test')
workbook = Workbook()
workbook.LoadFromFile(fileName + '.xlsx')
for sheet in workbook.Worksheets:
    pageSetup = sheet.PageSetup
    pageSetup.TopMargin = 0.3
    pageSetup.BottomMargin = 0.3
    pageSetup.LeftMargin = 0.3
    pageSetup.RightMargin = 0.3
workbook.ConverterSetting.SheetFitToPage = True
file = fileName + ".pdf"
workbook.SaveToFile(file, FileFormat.PDF)
workbook.Dispose()
